Jump to content


* * * * *

POD HD500X Compatibility with Workbench 1.75 and Older

pod hd500x workbench compatibility jtv variax vdi interface usb

The POD HD500X does not have the ability to connect to the Variax Workbench software (v1.75 and older). Development for NON-HD Variax Workbench software has ceased meaning functionality with the POD HD500X will not be added. Please use another VDI equipped device for Workbench 1.75 and older.
  • 0


0 Comments